/servers (POST)
POST
/servers
const url = 'https://example.com/api/v1/servers';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","host":"example","sshPort":1,"sshUser":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/servers \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "host": "example", "sshPort": 1, "sshUser": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
host
required
string
sshPort
integer
sshUser
string
Example generated
{ "name": "example", "host": "example", "sshPort": 1, "sshUser": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
organizationId
required
string
name
required
string
host
required
string
sshPort
required
integer
dockerOk
required
boolean
caddyOk
required
boolean
createdAt
required
string format: date-time
publicKey
required
string
Example
{ "role": "control", "status": "adding"}